Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.util
- orion.widgets.OpenResourceDialog
- orion.widgets.Section
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.sites.SiteService

Interface for a service that manages site configurations.
Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.core/web/orion/sites/siteClient.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.sites.SiteService()

Method Summary
Method Attributes | Method Name and Description
--- | ---
| convertToSelfHosting(site)
| createSiteConfiguration(name, workspace, mappings, hostHint) Creates a site configuration.
| deleteSiteConfiguration(locationUrl) Deletes a site configuration.
| getMappingObject(site, fileLocation, virtualPath)
| getMappingProposals(site)
| getSiteConfigurations() Retrieves all site configurations defined by the logged-in user.
| getURLOnSite(site, file)
| isSelfHostingSite(site)
| loadSiteConfiguration(locationUrl) Loads an individual site configuration from the given location.
| parseInternalForm(site, displayString)
| toFileLocation(internalPath)
| toInternalForm(fileLocation)
| updateMappingsDisplayStrings(site)
| updateSiteConfiguration(locationUrl, updatedSiteConfig) Edits an existing site configuration.

Class Detail
orion.sites.SiteService()
Method Detail
{orion.sites.SiteConfiguration} convertToSelfHosting(site)

Parameters:
{orion.sites.SiteConfiguration} site

Returns:
  {orion.sites.SiteConfiguration}

{orion.sites.SiteConfiguration} createSiteConfiguration(name, workspace, mappings, hostHint)
Creates a site configuration.

Parameters:
{String} name
{String} workspace
{Array} mappings Optional
{String} hostHint Optional

Returns:
  {orion.sites.SiteConfiguration} The created site configuration.

{void} deleteSiteConfiguration(locationUrl)
Deletes a site configuration.

Parameters:
{String} locationUrl
  Location of the site configuration resource to be deleted.

Returns:
  {void}

{Object} getMappingObject(site, fileLocation, virtualPath)

Parameters:
{orion.sites.SiteConfiguration} site
{String} fileLocation
{String} virtualPath

Returns:
  {Object}

{String[]} getMappingProposals(site)

Parameters:
{orion.sites.SiteConfiguration} site

Returns:
  {String[]}

{orion.sites.SiteConfiguration[]} getSiteConfigurations()
Retrieves all site configurations defined by the logged-in user.

Returns:
  {orion.sites.SiteConfiguration[]} The site configurations.

{String} getURLOnSite(site, file)

Parameters:
{orion.sites.SiteConfiguration} site
{Object} file

Returns:
  {String}

{Boolean} isSelfHostingSite(site)

Parameters:
{orion.sites.SiteConfiguration} site

Returns:
  {Boolean}

{orion.sites.SiteConfiguration} loadSiteConfiguration(locationUrl)
Loads an individual site configuration from the given location.

Parameters:
{String} locationUrl
  Location URL of a site configuration resource.

Returns:
  {orion.sites.SiteConfiguration} The loaded site configuration.

{String} parseInternalForm(site, displayString)

Parameters:
{orion.sites.SiteConfiguration} site
{String} displayString

Returns:
  {String}

{String} toFileLocation(internalPath)

Parameters:
{String} internalPath

Returns:
  {String}

{String} toInternalForm(fileLocation)

Parameters:
{String} fileLocation

Returns:
  {String}

{orion.sites.SiteConfiguration} updateMappingsDisplayStrings(site)

Parameters:
{orion.sites.SiteConfiguration} site

Returns:
  {orion.sites.SiteConfiguration}

{orion.sites.SiteConfiguration} updateSiteConfiguration(locationUrl, updatedSiteConfig)
Edits an existing site configuration.

Parameters:
{String} locationUrl
  Location of the site configuration resource to be updated.
{orion.sites.SiteConfiguration} updatedSiteConfig
  A representation of the updated site. Properties that are not changing may be omitted.

Returns:
  {orion.sites.SiteConfiguration} The updated site configuration.

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 19 2012 13:08:15 GMT-0400 (EDT)